#pragma once

#include "ofMain.h"
#include "AtlasLayerCombo.h"
#include "GPUFontLayer.h"

namespace ofxVariableLab {
class GPUFontAtlasLayerCombo : public AtlasLayerCombo {
    public:
        void setup(const ComboIdentifier & identifier) override;
        void update() override;
        void careForChild(shared_ptr <Layer> layer) override;
        const ComboIdentifier & getIdentifier() const override;
        const vector <shared_ptr <GPUFontLayer> > & getLayers();
        shared_ptr <ofxGPUFont::Font> font;

    private:
        FT_Library library;
        vector <shared_ptr <GPUFontLayer> > layers;
        shared_ptr <ofShader> gpuFontShader;
        ComboIdentifier identifier;
        bool isDirty = false;
};

}
