#pragma once

#include "AtlasLayerCombo.h"
#include "MsdfLayer.h"

namespace ofxVariableLab {
class MsdfAtlasLayerCombo : public AtlasLayerCombo {
    public:
        void setup(const ComboIdentifier & identifier) override;
        void update() override;
        void careForChild(shared_ptr <Layer> layer) override;
        const ComboIdentifier & getIdentifier() const override;
        const ofImage & getAtlasImage();
        string getAtlasImagePath();
        shared_ptr <Layer> getLayer(); // TODO: is this used
        shared_ptr <ofxMsdfgen::Atlas> atlas;

    private:
        vector <shared_ptr <MsdfLayer> > layers;
        vector <ofxMsdfgen::GlyphGeometry> glyphGeometries;
        shared_ptr <ofShader> msdfShader;
        ComboIdentifier identifier;
        bool isDirty = false;
};
}
